package com.eco.plugin.xx.jlyhsjtb.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

@Visualization(category = "数据同步配置")
@EnableMetrics
public class PluginSimpleConfig extends DefaultConfiguration {

    private static volatile PluginSimpleConfig config = null;

    @Focus(id="com.eco.plugin.xx.jlyhsjtb.config", text = "数据同步配置", source = Original.PLUGIN)
    public static PluginSimpleConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(PluginSimpleConfig.class);
        }
        return config;
    }

    @Identifier(value = "userurl", name = "用户补偿接口", description = "用户补偿接口", status = Status.SHOW)
    private Conf<String> userurl = Holders.simple("");

    @Identifier(value = "orgurl", name = "机构补偿接口", description = "机构补偿接口", status = Status.SHOW)
    private Conf<String> orgurl = Holders.simple("");

    @Identifier(value = "ftphost", name = "ftphost", description = "ftphost", status = Status.SHOW)
    private Conf<String> ftphost = Holders.simple("");

    @Identifier(value = "ftpport", name = "ftp端口", description = "ftp端口", status = Status.SHOW)
    private Conf<Integer> ftpport = Holders.simple(0);

    @Identifier(value = "ftpuser", name = "ftp用户名", description = "ftp用户名", status = Status.SHOW)
    private Conf<String> ftpuser = Holders.simple("");

    @Identifier(value = "ftppsd", name = "ftp密码", description = "ftp密码", status = Status.SHOW)
    private Conf<String> ftppsd = Holders.simple("");

    @Identifier(value = "ftpurl", name = "ftp文件路径", description = "ftp文件路径", status = Status.SHOW)
    private Conf<String> ftpurl = Holders.simple("");

    public String getUserurl() {
        return userurl.get();
    }

    public void setUserurl(String url) {
        this.userurl.set(url);
    }

    public String getOrgurl() {
        return orgurl.get();
    }

    public void setOrgurl(String url) {
        this.orgurl.set(url);
    }

    public String getFtphost() {
        return ftphost.get();
    }

    public void setFtphost(String url) {
        this.ftphost.set(url);
    }

    public Integer getFtpport() {
        return ftpport.get();
    }

    public void setFtpport(Integer url) {
        this.ftpport.set(url);
    }

    public String getFtpuser() {
        return ftpuser.get();
    }

    public void setFtpuser(String url) {
        this.ftpuser.set(url);
    }

    public String getFtppsd() {
        return ftppsd.get();
    }

    public void setFtppsd(String url) {
        this.ftppsd.set(url);
    }

    public String getFtpurl() {
        return ftpurl.get();
    }

    public void setFtpurl(String url) {
        this.ftpurl.set(url);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        PluginSimpleConfig cloned = (PluginSimpleConfig) super.clone();
        return cloned;
    }

}
